Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/confirm
const options = {method: 'POST'}; fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/confirm', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "user_id": "{uuid}" }
curl -X POST https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{uuid}/confirm \ -H "Authorization: Bearer $ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "user_id": "{uuid}" }'
{ "id": "{uuid}", "object": "payment_intent", "status": "paid", "paid_at": "2026-05-11T20:01:00Z", "amount": { "value": "1000000000000000000", "currency": "FLY" } }
payment0030
paymentIntent0003